Package org.eclipse.cdt.core.settings.model

## Interface IModificationContext

    public interface IModificationContext

### Field Summary

Fields
`static int` `CFG_DATA_SETTINGS_UNMODIFIED`
`static int` `CFG_DATA_STORAGE_UNMODIFIED`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `addWorkspaceRunnable​(org.eclipse.core.resources.IWorkspaceRunnable runnable)`
`org.eclipse.core.resources.IProjectDescription` `getEclipseProjectDescription()`
`org.eclipse.core.resources.IProject` `getProject()`
`boolean` `isBaseDataCached()` returns true if the cache data gets re-applied, i.e.
`void` `setConfigurationSettingsFlags​(int flags)` the CConfigurationDataProvider can call this method to indicate the CConfigurationData settings state.
`void` `setEclipseProjectDescription​(org.eclipse.core.resources.IProjectDescription eDes)`

### Field Detail

#### CFG_DATA_SETTINGS_UNMODIFIED

    static final int CFG_DATA_SETTINGS_UNMODIFIED

See Also:
  Constant Field Values

#### CFG_DATA_STORAGE_UNMODIFIED

    static final int CFG_DATA_STORAGE_UNMODIFIED

See Also:
  Constant Field Values

### Method Detail

#### getProject

    org.eclipse.core.resources.IProject getProject()

#### getEclipseProjectDescription

    org.eclipse.core.resources.IProjectDescription getEclipseProjectDescription()
                                                                         throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### setEclipseProjectDescription

    void setEclipseProjectDescription​(org.eclipse.core.resources.IProjectDescription eDes)
                               throws org.eclipse.core.runtime.CoreException

Throws:
  `org.eclipse.core.runtime.CoreException`

#### addWorkspaceRunnable

    void addWorkspaceRunnable​(org.eclipse.core.resources.IWorkspaceRunnable runnable)

#### setConfigurationSettingsFlags

    void setConfigurationSettingsFlags​(int flags)

the CConfigurationDataProvider can call this method to indicate the CConfigurationData settings state.

Parameters:
  `flags` -

#### isBaseDataCached

    boolean isBaseDataCached()

returns true if the cache data gets re-applied, i.e. there were no changes to the current configuration data performed from the core side

Returns:
  boolean